## org.Biocorba.Seqcore
Class _Seq_Tie

    java.lang.Object
      |
      +--org.omg.CORBA.portable.ObjectImpl
            |
            +--org.omg.CORBA.DynamicImplementation
                  |
                  +--org.Biocorba.Seqcore._SeqImplBase
                        |
                        +--org.Biocorba.Seqcore._Seq_Tie

public class _Seq_Tie
extends _SeqImplBase

See Also:
  Serialized Form

Field Summary
`_Seq_Operations` `servant`

Constructor Summary
`_Seq_Tie(_Seq_Operations servant)`

Method Summary
`java.lang.String` `accession_number()`
`SeqFeatureIterator` `all_features_iterator()`
`SeqFeature[]` `all_features()`
`java.lang.String` `display_id()`
`SeqFeatureIterator` `features_region_iterator(int start, int end)`
`SeqFeature[]` `features_region(int start, int end)`
`PrimarySeq` `get_PrimarySeq()`
`java.lang.String` `get_seq()`
`java.lang.String` `get_subseq(int start, int end)`
`int` `length()`
`int` `max_feature_request()`
`int` `max_request_length()`
`java.lang.String` `primary_id()`
`org.omg.CORBA.Object` `query_interface(java.lang.String repoid)`
`void` `ref()`
`SeqType` `type()`
`void` `unref()`
`int` `version()`

Methods inherited from class org.Biocorba.Seqcore._SeqImplBase
`_ids, invoke`

Methods inherited from class org.omg.CORBA.portable.ObjectImpl
`_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### servant

    public _Seq_Operations servant

Constructor Detail

### _Seq_Tie

    public _Seq_Tie(_Seq_Operations servant)

Method Detail

### ref

    public void ref()

### unref

    public void unref()

### query_interface

    public org.omg.CORBA.Object query_interface(java.lang.String repoid)

### type

    public SeqType type()

### length

    public int length()

### get_seq

    public java.lang.String get_seq()
                             throws RequestTooLarge

### get_subseq

    public java.lang.String get_subseq(int start,
                                       int end)
                                throws OutOfRange,
                                       RequestTooLarge

### max_request_length

    public int max_request_length()

### display_id

    public java.lang.String display_id()

### primary_id

    public java.lang.String primary_id()

### accession_number

    public java.lang.String accession_number()

### version

    public int version()

### all_features

    public SeqFeature[] all_features()
                              throws RequestTooLarge

### all_features_iterator

    public SeqFeatureIterator all_features_iterator()

### features_region

    public SeqFeature[] features_region(int start,
                                        int end)
                                 throws OutOfRange,
                                        UnableToProcess,
                                        RequestTooLarge

### features_region_iterator

    public SeqFeatureIterator features_region_iterator(int start,
                                                       int end)
                                                throws OutOfRange,
                                                       UnableToProcess

### max_feature_request

    public int max_feature_request()

### get_PrimarySeq

    public PrimarySeq get_PrimarySeq()